org.eclipse.lyo.client.oslc.resources

## Class AutomationRequest

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.client.oslc.resources.AutomationRequest

- All Implemented Interfaces:
    org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource

      @OslcResourceShape(title="Automation Request Resource Shape",
                         describes="http://open-services.net/ns/auto#AutomationRequest")
      @OslcNamespace(value="http://open-services.net/ns/auto#")
      public final class AutomationRequest
      extends org.eclipse.lyo.oslc4j.core.model.AbstractResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutomationRequest()`
    `AutomationRequest(URI about)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContributor(URI contributor)`
    `void` | `addCreator(URI creator)`
    `void` | `addInputParameter(ParameterInstance parameter)`
    `void` | `addRdfType(URI rdfType)`
    `void` | `addState(URI state)`
    `void` | `addSubject(String subject)`
    `URI[]` | `getContributors()`
    `Date` | `getCreated()`
    `URI[]` | `getCreators()`
    `String` | `getDescription()`
    `URI` | `getDesiredState()`
    `org.eclipse.lyo.oslc4j.core.model.Link` | `getExecutesAutomationPlan()`
    `String` | `getIdentifier()`
    `ParameterInstance[]` | `getInputParameters()`
    `URI` | `getInstanceShape()`
    `Date` | `getModified()`
    `protected URI` | `getRdfType()`
    `URI[]` | `getRdfTypes()`
    `URI` | `getServiceProvider()`
    `URI[]` | `getStates()`
    `String[]` | `getSubjects()`
    `String` | `getTitle()`
    `void` | `setContributors(URI[] contributors)`
    `void` | `setCreated(Date created)`
    `void` | `setCreators(URI[] creators)`
    `void` | `setDescription(String description)`
    `void` | `setDesiredState(URI desiredState)`
    `void` | `setExecutesAutomationPlan(org.eclipse.lyo.oslc4j.core.model.Link executesAutomationPlan)`
    `void` | `setIdentifier(String identifier)`
    `void` | `setInputParameters(ParameterInstance[] parameters)`
    `void` | `setInstanceShape(URI instanceShape)`
    `void` | `setModified(Date modified)`
    `void` | `setRdfTypes(URI[] rdfTypes)`
    `void` | `setServiceProvider(URI serviceProvider)`
    `void` | `setStates(URI[] states)`
    `void` | `setSubjects(String[] subjects)`
    `void` | `setTitle(String title)`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutomationRequest

          public AutomationRequest()

    - #### AutomationRequest

          public AutomationRequest(URI about)

  - ### Method Detail

    - #### getRdfType

          protected URI getRdfType()

    - #### addContributor

          public void addContributor(URI contributor)

    - #### addCreator

          public void addCreator(URI creator)

    - #### addRdfType

          public void addRdfType(URI rdfType)

    - #### addSubject

          public void addSubject(String subject)

    - #### addState

          public void addState(URI state)

    - #### addInputParameter

          public void addInputParameter(ParameterInstance parameter)

    - #### getContributors

          @OslcDescription(value="The person(s) who are responsible for the work needed to complete the automation request.")
          @OslcName(value="contributor")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/contributor")
          @OslcRange(value="http://xmlns.com/foaf/0.1/Person")
          @OslcTitle(value="Contributors")
          public URI[] getContributors()

    - #### getCreated

          @OslcDescription(value="Timestamp of resource creation.")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/created")
          @OslcReadOnly
          @OslcTitle(value="Created")
          public Date getCreated()

    - #### getCreators

          @OslcDescription(value="Creator or creators of resource.")
          @OslcName(value="creator")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/creator")
          @OslcRange(value="http://xmlns.com/foaf/0.1/Person")
          @OslcTitle(value="Creators")
          public URI[] getCreators()

    - #### getDescription

          @OslcDescription(value="Descriptive text (reference: Dublin Core) about resource represented as rich text in XHTML content.")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/description")
          @OslcTitle(value="Description")
          @OslcValueType(value=XMLLiteral)
          public String getDescription()

    - #### getIdentifier

          @OslcDescription(value="A unique identifier for a resource. Assigned by the service provider when a resource is created. Not intended for end-user display.")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/identifier")
          @OslcReadOnly
          @OslcTitle(value="Identifier")
          public String getIdentifier()

    - #### getInstanceShape

          @OslcDescription(value="Resource Shape that provides hints as to resource property value-types and allowed values. ")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#instanceShape")
          @OslcRange(value="http://open-services.net/ns/core#ResourceShape")
          @OslcTitle(value="Instance Shape")
          public URI getInstanceShape()

    - #### getModified

          @OslcDescription(value="Timestamp last latest resource modification.")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/modified")
          @OslcReadOnly
          @OslcTitle(value="Modified")
          public Date getModified()

    - #### getRdfTypes

          @OslcDescription(value="The resource type URIs.")
          @OslcName(value="type")
          @OslcPropertyDefinition(value="http://www.w3.org/1999/02/22-rdf-syntax-ns#type")
          @OslcTitle(value="Types")
          public URI[] getRdfTypes()

    - #### getServiceProvider

          @OslcDescription(value="The scope of a resource is a URI for the resource\'s OSLC Service Provider.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#serviceProvider")
          @OslcTitle(value="Service Provider")
          public URI getServiceProvider()

    - #### getDesiredState

          @OslcDescription(value="Used to indicate the desired state of the Automation Request based on values defined by the service provider.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/auto#desiredState")
          @OslcName(value="desiredState")
          @OslcOccurs(value=ZeroOrOne)
          @OslcTitle(value="Desired State")
          @OslcAllowedValue(value={"http://open-services.net/ns/auto#http://open-services.net/ns/auto#new","http://open-services.net/ns/auto#http://open-services.net/ns/auto#inProgress","http://open-services.net/ns/auto#http://open-services.net/ns/auto#queued","http://open-services.net/ns/auto#http://open-services.net/ns/auto#canceling","http://open-services.net/ns/auto#http://open-services.net/ns/auto#canceled","http://open-services.net/ns/auto#http://open-services.net/ns/auto#complete"})
          public URI getDesiredState()

    - #### getExecutesAutomationPlan

          @OslcDescription(value="Automation Plan run by the Automation Request.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/auto#executesAutomationPlan")
          @OslcName(value="executesAutomationPlan")
          @OslcOccurs(value=ExactlyOne)
          @OslcTitle(value="Executes Automation Plan")
          public org.eclipse.lyo.oslc4j.core.model.Link getExecutesAutomationPlan()

    - #### getSubjects

          @OslcDescription(value="Tag or keyword for a resource. Each occurrence of a dcterms:subject property denotes an additional tag for the resource.")
          @OslcName(value="subject")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/subject")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Subjects")
          public String[] getSubjects()

    - #### getTitle

          @OslcDescription(value="Title (reference: Dublin Core) or often a single line summary of the resource represented as rich text in XHTML content.")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/title")
          @OslcTitle(value="Title")
          @OslcValueType(value=XMLLiteral)
          public String getTitle()

    - #### getStates

          @OslcDescription(value="Used to indicate the state of the automation request based on values defined by the service provider.")
          @OslcOccurs(value=OneOrMany)
          @OslcReadOnly(value=true)
          @OslcName(value="state")
          @OslcPropertyDefinition(value="http://open-services.net/ns/auto#state")
          @OslcTitle(value="States")
          @OslcAllowedValue(value={"http://open-services.net/ns/auto#http://open-services.net/ns/auto#new","http://open-services.net/ns/auto#http://open-services.net/ns/auto#inProgress","http://open-services.net/ns/auto#http://open-services.net/ns/auto#queued","http://open-services.net/ns/auto#http://open-services.net/ns/auto#canceling","http://open-services.net/ns/auto#http://open-services.net/ns/auto#canceled","http://open-services.net/ns/auto#http://open-services.net/ns/auto#complete"})
          public URI[] getStates()

    - #### getInputParameters

          @OslcDescription(value="Parameters provided when Automation Requests are created.")
          @OslcOccurs(value=ZeroOrMany)
          @OslcName(value="inputParameter")
          @OslcPropertyDefinition(value="http://open-services.net/ns/auto#inputParameter")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Input Parameter")
          public ParameterInstance[] getInputParameters()

    - #### setContributors

          public void setContributors(URI[] contributors)

    - #### setCreated

          public void setCreated(Date created)

    - #### setCreators

          public void setCreators(URI[] creators)

    - #### setDescription

          public void setDescription(String description)

    - #### setIdentifier

          public void setIdentifier(String identifier)

    - #### setInstanceShape

          public void setInstanceShape(URI instanceShape)

    - #### setModified

          public void setModified(Date modified)

    - #### setRdfTypes

          public void setRdfTypes(URI[] rdfTypes)

    - #### setServiceProvider

          public void setServiceProvider(URI serviceProvider)

    - #### setDesiredState

          public void setDesiredState(URI desiredState)

    - #### setExecutesAutomationPlan

          public void setExecutesAutomationPlan(org.eclipse.lyo.oslc4j.core.model.Link executesAutomationPlan)

    - #### setSubjects

          public void setSubjects(String[] subjects)

    - #### setTitle

          public void setTitle(String title)

    - #### setStates

          public void setStates(URI[] states)

    - #### setInputParameters

          public void setInputParameters(ParameterInstance[] parameters)

Copyright © 2016. All Rights Reserved.